## neutron 27.0.1

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.
pbr>=6.0.0 # Apache-2.0

Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
debtcollector>=1.19.0 # Apache-2.0
decorator>=4.1.0 # BSD
eventlet>=0.36.1 # MIT
pecan>=1.4.0 # BSD
httplib2>=0.22.0 # MIT
requests>=2.32.3 # Apache-2.0
Jinja2>=2.10 # BSD License (3 clause)
keystonemiddleware>=5.1.0 # Apache-2.0
netaddr>=0.7.18 # BSD
neutron-lib>=3.21.1 # Apache-2.0
python-neutronclient>=7.8.0 # Apache-2.0
tenacity>=6.0.0 # Apache-2.0
SQLAlchemy>=1.4.23 # MIT
WebOb>=1.8.2 # MIT
keystoneauth1>=3.14.0 # Apache-2.0
alembic>=1.6.5 # MIT
stevedore>=2.0.1 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=9.4.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.log>=5.3.0 # Apache-2.0
oslo.messaging>=7.0.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=4.5.0 # Apache-2.0
oslo.privsep>=2.3.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.rootwrap>=5.15.0 # Apache-2.0
oslo.serialization>=5.5.0 # Apache-2.0
oslo.service[threading]>=4.2.1 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=7.3.0 # Apache-2.0
oslo.versionedobjects>=1.35.1 # Apache-2.0
osprofiler>=2.3.0 # Apache-2.0
os-ken>=3.0.0 # Apache-2.0
os-resource-classes>=1.1.0 # Apache-2.0
ovs>3.3.0 # Apache-2.0
ovsdbapp>=2.11.0 # Apache-2.0
psutil>=6.1.0 # BSD
pyroute2>=0.7.3;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
pyOpenSSL>=17.1.0 # Apache-2.0

python-novaclient>=9.1.0 # Apache-2.0
openstacksdk>=0.31.2 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
os-vif>=3.1.0 # Apache-2.0
futurist>=1.2.0 # Apache-2.0
tooz>=1.58.0 # Apache-2.0

=== debian/changelog ===
neutron (2:27.0.1-4) unstable; urgency=medium

  * Blacklist unit tests that are stuck in multiprocessing locks
    (Closes: #1124179).
  * Blacklist more tests that are failing in parallel.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Dec 2025 14:10:26 +0100

neutron (2:27.0.1-3) unstable; urgency=medium

  * Removed recommends on openvswitch-datapath-dkms, which was kind of an antic
    thing form older Debian release (Closes: #1102087).

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Nov 2025 09:06:13 +0100

neutron (2:27.0.1-2) unstable; urgency=medium

  * Removed dpkg-dev depends from neutron-common (Closes: #1111131).

 -- Thomas Goirand <zigo@debian.org>  Wed, 26 Nov 2025 12:03:08 +0100

neutron (2:27.0.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Nov 2025 10:01:10 +0100

neutron (2:27.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 21:23:21 +0200

=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 135~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 bridge-utils,
 iproute2,
 python3-astroid,
 python3-cliff,
 python3-coverage,
 python3-ddt,
 python3-debtcollector,
 python3-decorator,
 python3-designateclient,
 python3-eventlet,
 python3-fixtures,
 python3-flake8,
 python3-futurist,
 python3-gevent,
 python3-hacking,
 python3-httplib2,
 python3-isort,
 python3-jinja2,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-netaddr,
 python3-neutron-lib (>= 3.21.1),
 python3-neutronclient,
 python3-novaclient,
 python3-openssl,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-openvswitch,
 python3-os-ken,
 python3-os-resource-classes,
 python3-os-vif,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.privsep,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-ovsdbapp,
 python3-paste,
 python3-pastedeploy,
 python3-pecan,
 python3-psutil,
 python3-pymysql,
 python3-pyroute2,
 python3-pyudev,
 python3-requests,
 python3-routes,
 python3-sphinx-feature-classification,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-tempest,
 python3-tenacity,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-tooz,
 python3-webob,
 python3-webtest,
 tempest,
Standards-Version: 4.4.1
Homepage: http://neutron.openstack.org/
Vcs-Browser: https://salsa.debian.org/openstack-team/services/neutron
Vcs-Git: https://salsa.debian.org/openstack-team/services/neutron.git

Package: neutron-api
Architecture: all
Depends:
 adduser,
 debconf,
 neutron-common (= ${source:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - API service
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron API server.

Package: neutron-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-neutron (= ${source:Version}),
 python3-openstackclient,
 python3-pyparsing,
 python3-sqlalchemy,
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 neutron-plugin,
 neutron-plugin-bigswitch,
 neutron-plugin-brocade,
 neutron-plugin-cisco,
 neutron-plugin-hyperv,
 neutron-plugin-linuxbridge,
 neutron-plugin-metaplugin,
 neutron-plugin-ml2,
 neutron-plugin-nec,
 neutron-plugin-nicira,
 neutron-plugin-openvswitch,
 neutron-plugin-plumgrid,
 neutron-plugin-ryu,
 python3-networking-ovn,
Description: OpenStack virtual network service - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the common files.

Package: neutron-dhcp-agent
Architecture: all
Depends:
 adduser,
 dnsmasq-base,
 dnsmasq-utils,
 haproxy,
 iptables,
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - DHCP agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the DHCP agent.

Package: neutron-doc
Architecture: all
Build-Profiles: <!nodoc>
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack virtual network service - doc
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the documentation.

Package: neutron-l3-agent
Architecture: all
Depends:
 adduser,
 debconf,
 haproxy,
 iptables,
 iputils-arping,
 keepalived,
 neutron-common (= ${source:Version}),
 radvd,
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 openvswitch-switch,
Conflicts:
 neutron-vpn-agent,
Description: OpenStack virtual network service - l3 agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the l3 agent.

Package: neutron-linuxbridge-agent
Architecture: all
Provides:
 neutron-plugin-linuxbridge-agent,
Depends:
 bridge-utils,
 ebtables,
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - Linux bridge agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Linux bridge agent. If you choose to use the Linux
 bridge plugin on neutron-server, this agent should run on each compute node.

Package: neutron-macvtap-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: OpenStack virtual network service - MacVTap Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the MacVTap Agent.

Package: neutron-metadata-agent
Architecture: all
Depends:
 adduser,
 haproxy,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - metadata agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the metadata proxy agent.

Package: neutron-metering-agent
Architecture: all
Depends:
 adduser,
 debconf,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 neutron-plugin-metering-agent,
Description: OpenStack virtual network service - metering agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron metering agent.

Package: neutron-openvswitch-agent
Architecture: all
Pre-Depends:
 openvswitch-switch,
Provides:
 neutron-plugin-openvswitch-agent,
Depends:
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - Open vSwitch agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Open vSwitch agent. If you choose to use the Open
 vSwitch plugin on neutron-server, this agent should run on each compute node.

Package: neutron-ovn-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - OVN agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the OVN agent.

Package: neutron-ovn-maintenance-worker
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - OVN maintenance worker
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the OVN maintenance worker.

Package: neutron-ovn-metadata-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - OVN Metadata Agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the OVN Metadata Agent.

Package: neutron-periodic-workers
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - periodic tasks
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the periodic tasks daemon.

Package: neutron-plugin-nec-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - NEC agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the NEC plugin agent.

Package: neutron-rpc-server
Architecture: all
Depends:
 adduser,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - RPC service
 Neutron provides an API to dynamically request and configure virtual networks.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

DHCP_CONF=$(CURDIR)/debian/neutron-common/usr/share/neutron-common/dhcp_agent.ini
L3_CONF=$(CURDIR)/debian/neutron-common/usr/share/neutron-common/l3_agent.ini
ML2_CONF=$(CURDIR)/debian/neutron-common/usr/share/neutron-common/plugins/ml2/ml2_conf.ini
OVS_CONF=$(CURDIR)/debian/neutron-common/usr/share/neutron-common/plugins/ml2/openvswitch_agent.ini
N_CONF=$(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	python3 setup.py clean
	rm -f debian/neutron-common.config \
		debian/neutron-common.postinst \
		debian/neutron-api.config \
		debian/neutron-api.postinst \
		debian/neutron-dhcp-agent.postinst \
		debian/neutron-metadata-agent.config \
		debian/neutron-metadata-agent.postinst \
		debian/neutron-common.postrm
	rm -f debian/*.init debian/*.service debian/*.upstart debian/neutron-common.templates debian/neutron-openvswitch-agent.postinst debian/neutron-openvswitch-agent.config debian/neutron-api.templates
	find . -type f -name "*.pyc" -delete
	rm -f AUTHORS ChangeLog doc/source/_static/neutron.policy.yaml.sample
	rm -rf build .stestr *.egg-info .pytest_cache docs/_build/ doc/source/_static/config-samples
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
	rm -rf debian/po

override_dh_auto_build:
	cp -auxf debian/po.in debian/po
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-dhcp-agent.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-metadata-agent.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-metadata-agent.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-openvswitch-agent.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func neutron-openvswitch-agent.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm neutron-common.postrm
	pkgos-merge-templates neutron-api neutron endpoint
	pkgos-merge-templates neutron-common neutron db rabbit ksat

override_dh_auto_test:
	echo "Doing nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	python3 setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp

	# Stuck in multiprocessing locks (see: #1124179):
	# plugins.ml2.drivers.ovn.mech_driver.test_mech_driver.TestOVNMechanismDriverPortsV2.test_delete_port
	# plugins.ml2.drivers.ovn.mech_driver.test_mech_driver.TestOVNMechanismDriverSubnetsV2.test_create_subnet_invalid_ipv6_address_mode
	# plugins.ml2.drivers.ovn.mech_driver.test_mech_driver.TestOVNMechanismDriver.test_set_port_status_down_not_found
	# Failing when run in //
	# plugins.ml2.test_plugin.TestMl2SubnetsV2.test_create_subnet_dhcpv6_stateless_with_ip_already_allocated
	# plugins.ml2.test_port_binding.PortBindingTestCase.test_hierarchical_binding
	# plugins.ml2.drivers.ovn.mech_driver.test_mech_driver.TestOVNMechanismDriverPortsV2.test_dhcp_provisioning_blocks_inserted_on_create_with_agents
	# plugins.ml2.drivers.ovn.mech_driver.test_mech_driver.TestOVNMechanismDriver.test_update_ignored_port_to_fip_device_owner
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'neutron\.tests\.unit\.(?!(.*test_wsgi.*|.*agent\.dhcp\.test_agent\.TestDhcpAgent\.test_dhcp_agent_manager.*|.*common\.test_utils\.TestDelayedStringRenderer\.test_not_called_with_low_log_level.*|.*services\.trunk\.drivers\.openvswitch\.agent\.test_ovsdb_handler\.TestOVSDBHandler\.test_handle_trunk_remove_trunk_manager_failure.*|.*agent\.l3\.test_agent\.TestBasicRouterOperations\.test_interface_driver_init.*|.*plugins\.ml2\.drivers\.openvswitch\.agent\.test_ovs_tunnel\.TunnelTestUseVethIntercoOSKen\.test_daemon_loop.*|.*plugins\.ml2\.drivers\.openvswitch\.agent\.test_ovs_tunnel\.TunnelTestOSKen\.test_daemon_loop.*|.*plugins\.ml2\.drivers\.openvswitch\.agent\.test_ovs_tunnel\.TunnelTestWithMTUOSKen\.test_daemon_loop.*|.*plugins\.ml2\.drivers\.openvswitch\.agent\.test_ovs_neutron_agent\.TestOvsNeutronAgentOSKen\.test_fdb_add_flows.*|.*plugins\.ml2\.drivers\.openvswitch\.agent\.test_ovs_neutron_agent\.TestOvsNeutronAgentOSKen\.test_fdb_del_flows.*|.*test_manager\.NeutronManagerTestCase\.test_service_plugin_is_loaded.*|.*plugins\.ml2\.drivers\.ovn\.mech_driver\.ovsdb\.test_ovsdb_monitor\.TestOvnIdlDistributedLock.*|plugins\.ml2\.drivers\.ovn\.mech_driver\.test_mech_driver.*|.*plugins\.ml2\.drivers\.ovn\.mech_driver\.TestOVNMechanismDriverSecurityGroup.*|.*services\.ovn_l3\.test_plugin\.OVNL3ExtrarouteTests.*|plugins\.ml2\.test_plugin\.TestMl2SubnetsV2\.test_create_subnet_dhcpv6_stateless_with_ip_already_allocated|plugins\.ml2\.test_port_binding\.PortBindingTestCase\.test_hierarchical_binding))'
endif

	cp -auxf neutron $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages
	rm -rf $(CURDIR)/debian/tmp/usr/etc

	# dhcp_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-common/usr/share/neutron-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-common/usr/share/neutron-common/dhcp_agent.ini \
		--wrap-width 140 \
		--namespace neutron.az.agent \
		--namespace neutron.base.agent \
		--namespace neutron.dhcp.agent \
		--namespace oslo.log

	pkgos-fix-config-default $(DHCP_CONF) DEFAULT interface_driver openvswitch
	pkgos-fix-config-default $(DHCP_CONF) DEFAULT enable_isolated_metadata True

	# l3_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-common/usr/share/neutron-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-common/usr/share/neutron-common/l3_agent.ini \
		--wrap-width 140 \
		--namespace neutron.az.agent \
		--namespace neutron.base.agent \
		--namespace neutron.l3.agent \
		--namespace oslo.log

	pkgos-fix-config-default $(L3_CONF) DEFAULT interface_driver openvswitch
	pkgos-fix-config-default $(L3_CONF) DEFAULT external_network_bridge br-ex
	pkgos-fix-config-default $(L3_CONF) DEFAULT ovs_use_veth False

	# linuxbridge_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-linuxbridge-agent/etc/neutron/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-linuxbridge-agent/etc/neutron/plugins/ml2/linuxbridge_agent.ini \
		--wrap-width 140 \
		--namespace neutron.ml2.linuxbridge.agent \
		--namespace oslo.log

	# macvtap_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-macvtap-agent/etc/neutron/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-macvtap-agent/etc/neutron/plugins/ml2/macvtap_agent.ini \
		--wrap-width 140 \
		--namespace neutron.ml2.macvtap.agent \
		--namespace oslo.log

	# metadata_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini \
		--wrap-width 140 \
		--namespace neutron.metadata.agent \
		--namespace oslo.log \
		--namespace oslo.cache
#	sed -i 's|^[ #\t]*nova_metadata_protocol[ \t]*=.*|nova_metadata_protocol = http|' $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini

## neutron 28.0.0~b2+git20260121.28.762694d1bd

=== requirements.txt ===
--- 
+++ 
@@ -8,14 +8,13 @@
 Routes>=2.3.1 # MIT
 debtcollector>=1.19.0 # Apache-2.0
 decorator>=4.1.0 # BSD
-eventlet>=0.36.1 # MIT
 pecan>=1.4.0 # BSD
 httplib2>=0.22.0 # MIT
 requests>=2.32.3 # Apache-2.0
 Jinja2>=2.10 # BSD License (3 clause)
 keystonemiddleware>=5.1.0 # Apache-2.0
 netaddr>=0.7.18 # BSD
-neutron-lib>=3.21.1 # Apache-2.0
+neutron-lib>=3.23.0 # Apache-2.0
 python-neutronclient>=7.8.0 # Apache-2.0
 tenacity>=6.0.0 # Apache-2.0
 SQLAlchemy>=1.4.23 # MIT
@@ -25,7 +24,7 @@
 stevedore>=2.0.1 # Apache-2.0
 oslo.cache>=1.26.0 # Apache-2.0
 oslo.concurrency>=3.26.0 # Apache-2.0
-oslo.config>=9.4.0 # Apache-2.0
+oslo.config>=10.2.0 # Apache-2.0
 oslo.context>=2.22.0 # Apache-2.0
 oslo.db>=4.44.0 # Apache-2.0
 oslo.i18n>=3.20.0 # Apache-2.0
@@ -42,10 +41,10 @@
 oslo.utils>=7.3.0 # Apache-2.0
 oslo.versionedobjects>=1.35.1 # Apache-2.0
 osprofiler>=2.3.0 # Apache-2.0
-os-ken>=3.0.0 # Apache-2.0
+os-ken>=4.0.0 # Apache-2.0
 os-resource-classes>=1.1.0 # Apache-2.0
 ovs>3.3.0 # Apache-2.0
-ovsdbapp>=2.11.0 # Apache-2.0
+ovsdbapp>=2.14.1 # Apache-2.0
 psutil>=6.1.0 # BSD
 pyroute2>=0.7.3;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)
 pyOpenSSL>=17.1.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.2.0 # BSD
sphinx-feature-classification>=1.0.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0
oslotest>=3.2.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
WebTest>=2.0.27 # MIT
# NOTE(ralonsoh): pyroute2 module should be installed and the version limited
# according to upper-constraints.txt
pyroute2>=0.6.4;sys_platform!='win32' # Apache-2.0 (+ dual licensed GPL2)

=== debian/changelog ===
neutron (2:28.0.0~b2+git20260121.28.762694d1bd-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream version 28.0.0.0b2
  * d/watch: update for new upstream
  * d/u/signing-key.asc: remove for snapshot
  * d/rules: enable sphinxdoc to build documentation
  * d/patches/*: refresh patches
  * New upstream snapshot from 762694d1bd6092060ce08c29d12575e303ae2973
    for OpenStack Gazpacho. (LP: #2137590)
  * d/neutron-common.install: Fix file paths.
  * d/p/install-missing-files.patch: Extend for all subdirectories.
  * d/neutron-api*: Update neutron endpoint.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 21 Jan 2026 16:04:01 -0800

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=neutron

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with sphinxdoc  --with apache2,python3 --buildsystem=pybuild


override_dh_install:
	rm -rf $(CURDIR)/debian/python3-neutron/usr/etc/
	PYTHONPATH=$(CURDIR) $(CURDIR)/tools/generate_config_file_samples.sh
	find $(CURDIR)/etc -type f | xargs rename 's/\.sample$$//'
	crudini --merge $(CURDIR)/etc/neutron.conf < $(CURDIR)/debian/neutron.conf.defaults
	crudini --merge $(CURDIR)/etc/neutron_ovn_metadata_agent.ini < $(CURDIR)/debian/neutron_ovn_metadata_agent.ini.defaults
	dh_install
	dh_missing --fail-missing -X/usr/etc

override_dh_installsystemd:
	dh_installsystemd \
		-pneutron-openvswitch-agent --name=neutron-ovs-cleanup \
		--no-start --no-stop-on-upgrade --no-restart-after-upgrade \
		neutron-ovs-cleanup.service
	dh_installsystemd -Xneutron-ovs-cleanup.service

override_dh_installinit:
	dh_installinit \
		-pneutron-openvswitch-agent --name=neutron-ovs-cleanup \
		--no-start --no-stop-on-upgrade
	dh_installinit -Xneutron-ovs-cleanup \
		--error-handler=true

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.upstart debian/*.init debian/*.service .testrepository

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	OS_TEST_TIMEOUT=180 OS_LOG_CAPTURE=true OS_STDOUT_CAPTURE=true OS_STDERR_CAPTURE=true \
	PYTHONWARNINGS=default::DeprecationWarning,ignore::DeprecationWarning:distutils,ignore::DeprecationWarning:site \
	pkgos-dh_auto_test --no-py2
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/neutron/ neutron-(\d{1,2}\.\d.*)\.tar\.gz

## neutron 2013.2~rc3

=== requirements.txt ===
pbr>=0.5.21,<1.0

Paste
PasteDeploy>=1.5.0
Routes>=1.12.3
amqplib>=0.6.1
anyjson>=0.3.3
argparse
Babel>=0.9.6
eventlet>=0.13.0
greenlet>=0.3.2
httplib2
requests>=1.1
iso8601>=0.1.4
jsonrpclib
Jinja2
kombu>=2.4.8
netaddr
python-neutronclient>=2.3.0,<3
SQLAlchemy>=0.7.8,<=0.7.99
WebOb>=1.2.3,<1.3
python-keystoneclient>=0.3.2
alembic>=0.4.1
six
stevedore>=0.10
oslo.config>=1.2.0

python-novaclient>=2.15.0

=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6)
Build-Depends-Indep:
 alembic (>= 0.4.1),
 python-amqplib (>= 0.6.1),
 python-anyjson (>= 0.3.3),
 python-babel,
 python-cliff (>= 1.4),
 python-configobj,
 python-coverage,
 python-d2to1,
 python-eventlet (>= 0.13.0),
 python-fixtures (>= 0.3.12),
 python-greenlet (>= 0.3.2),
 python-httplib2,
 python-iso8601,
 python-jinja2,
 python-keystoneclient (>= 1:0.2.0),
 python-kombu (>= 2.5.12),
 python-lxml,
 python-mock (>= 1.0b1),
 python-mox,
 python-netaddr,
 python-neutronclient (>= 1:2.2.3),
 python-novaclient (>= 2.12.0),
 python-oslo.config (>= 1:1.2.0a3),
 python-paste,
 python-pastedeploy,
 python-pbr (>= 0.5.21),
 python-pyudev,
 python-requests (>= 1.1),
 python-routes,
 python-setuptools,
 python-simplejson,
 python-six,
 python-sqlalchemy,
 python-stevedore (>= 0.10),
 python-testtools (>= 0.9.32),
 python-webob,
 python-webtest,
 subunit,
 testrepository ( >= 0.0.17)
XS-Python-Version: >= 2.6
Standards-Version: 3.9.4
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/neutron/havana/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/neutron/havana
XS-Testsuite: autopkgtest

Package: neutron-server
Architecture: all
Depends:
 adduser,
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-server ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-server  ( << 1:2013.2~b2-0ubuntu1~ )
Recommends: neutron-plugin-openvswitch
Description: Neutron is a virtual network service for Openstack - server
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Neutron server

Package: neutron-common
Architecture: all
Depends:
 adduser,
 python-neutron (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Breaks: quantum-common ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-common ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - common
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the common files.

Package: neutron-plugin-cisco
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-cisco ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-cisco ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - Cisco plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Cisco plugin.

Package: neutron-plugin-nec
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-nec ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-nec ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - NEC plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the NEC plugin.

Package: neutron-plugin-nec-agent
Architecture: all
Depends:
 neutron-common (= ${source:Version}),
 neutron-plugin-nec,
 openvswitch-switch,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-nec-agent ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-nec-agent ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - NEC plugin agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the NEC plugin agent.

Package: neutron-plugin-bigswitch
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-bigswitch ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-bigswitch ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - BigSwitch plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the BigSwitch plugin.

Package: neutron-plugin-hyperv
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-hyperv ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-hyperv ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - Hyper-V plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Hyper-V plugin.

Package: neutron-plugin-brocade
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-brocade ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-brocade ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - Brocade plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Brocade plugin.

Package: neutron-plugin-plumgrid
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-plumgrid ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-plumgrid ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - PLUMgrid plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the PLUMgrid plugin.

Package: neutron-plugin-metaplugin
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-metaplugin ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-metaplugin ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - Metaplugin plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Metaplugin plugin.

Package: neutron-plugin-nicira
Architecture: all
Provides: neutron-plugin
Depends:
 neutron-common (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-plugin-nicira ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-plugin-nicira ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - Nicira plugin
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks
 connect "interfaces" from other OpenStack services (e.g., virtual NICs
 from Nova VMs). The Neutron API supports extensions to provide
 advanced network capabilities (e.g., QoS, ACLs, network monitoring,
 etc.)
 .
 This package provides the Nicira NVP plugin

Package: neutron-l3-agent
Architecture: all
Depends:
 iputils-arping,
 neutron-common (= ${source:Version}),
 neutron-metadata-agent (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Breaks: quantum-l3-agent ( << 1:2013.2~b2-0ubuntu1~ )
Replaces: quantum-l3-agent ( << 1:2013.2~b2-0ubuntu1~ )
Description: Neutron is a virtual network service for Openstack - l3 agent
 Neutron is a virtual network service for Openstack, and a part of
 Netstack. Just like OpenStack Nova provides an API to dynamically
 request and configure virtual servers, Neutron provides an API to
 dynamically request and configure virtual networks. These networks

## neutron 2013.2.3

=== requirements.txt ===
pbr>=0.5.21,<1.0

Paste
PasteDeploy>=1.5.0
Routes>=1.12.3
amqplib>=0.6.1
anyjson>=0.3.3
argparse
Babel>=1.3
eventlet>=0.13.0
greenlet>=0.3.2
httplib2
requests>=1.1
iso8601>=0.1.8
jsonrpclib
Jinja2
kombu>=2.4.8
netaddr
python-neutronclient>=2.3.4,<3
SQLAlchemy>=0.7.8,<=0.7.99
WebOb>=1.2.3,<1.3
python-keystoneclient>=0.3.2
alembic>=0.4.1
six>=1.4.1
stevedore>=0.10
oslo.config>=1.2.0

python-novaclient>=2.15.0

=== debian/changelog ===
neutron (1:2013.2.3-0ubuntu1.1~cloud0) precise-havana; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 06 May 2014 04:20:13 -0400

neutron (1:2013.2.3-0ubuntu1.1) saucy-security; urgency=medium

  * SECURITY UPDATE: no change rebuild for security to fix CVE-2014-0056
    (1faec83a)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 05 May 2014 12:19:54 -0500

neutron (1:2013.2.3-0ubuntu1) saucy-proposed; urgency=medium

  * Resynchronize with stable/havana (8cb9d89) (LP: #1284643):
    - [8cb9d89] Use a temp dir for CONF.state_path
    - [566321b] Subnets should be set as lazy='join'
    - [eb4c045] Qpid, RabbitMQ: advance thru the list of brokers on reconnect
    - [1faec83] Prevent cross plugging router ports from other tenants
    - [858ec2e] Fixes Hyper-V port metrics enabling after service restart
    - [d57ce79] Adds Hyper-V utils methods
    - [5ccfeae] NSX: Sync do not pass around model object
    - [7f2c41f] NSX: Fix possible deadlock in sync code
    - [7871486] Use a more accurate max_delay for reconnects
    - [8e92741] Adds id in update_floatingip API in PLUMgrid plugin driver
    - [ab46900] Report proper error message in PLUMgrid Plugin
    - [ece27c9] Update help message of flag 'enable_isolated_metadata'
    - [a47fde6] Remove the warning for Scheduling Network
    - [28ee2ac] vshield task manager: abort tasks in stop() on termination
    - [c194262] Fix request timeout errors during calls to NSX controller
    - [2b4cdcd] Fix error while connecting to busy NSX L2 Gateway
    - [5158744] Tweak version nvp/nsx version validation logic for router operations
    - [722746f] [ML2] l2-pop MD handle multi create/delete ports
    - [99339a9] Fix metering iptables driver doesn't read root_helper param
    - [2e9f5a7] Add support for managing async processes
    - [5678fb8] fix --excluded of meter-label-rule-create is not working
    - [c0586c4] Fix a typo in log exception in the metering agent
  * debian/patches/bump-sqlalchemy-versions.patch: Rediffed 
  * debian/patches/revert-stable-havana-requirements.patch: Updated not to 
    bump the version of python-neutronclient.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 31 Mar 2014 11:51:57 -0400

neutron (1:2013.2.2-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (3c9fc6f) (LP: #1284643):
    - [3f4c282] reduce severity of network notfound trace when looked up by
      dhcp agent LP: 1251874
    - [7a4842d] Mellanox Neutron Agent is using keystone port LP: 1245885
    - [aa2502b] check_nvp_config.py erroneous config complaint LP: 1265353
    - [94679f1] uncaught portnotfound exception on get_dhcp_port LP: 1252437
    - [5bbc2f0] devstack-exercises floating_ips broken LP: 1262785
    - [3738343] [neutron bandwidth metering] When I delete a label, router's
      tenant_id disappeared. LP: 1249188
    - [e631e89] dhcp dnsmasq lost port in host config file LP: 1192381
    - [5f959d7] tenant does not see network that is routable from tenant-
      visible network until neutron-server is restarted LP: 1254555
    - [c7596bf] Remove and recreate interface in ovs if already exists
      LP: 1268762
    - [711106a] Multiple Neutron operations using a script fails on Brocade
      Plugin LP: 1223754
    - [927e8a6] Should RPC consume_in_thread() be more fault tolerant?
      LP: 1189711
    - [15a912b] neutron-metadata-agent incorrectly passes keystone token to
      neutronclient LP: 1274487
    - [4265436] Have tox install via setup.py develop
    - [a72ab24] nicira: error occurs when net-gateway-connect with different
      segmentation-type LP: 1270724
    - [3c9fc6f] improve version validation for router operations with the
      nsx/nvp plugin LP: 1274361

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Feb 2014 09:32:04 -0500

neutron (1:2013.2.1-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (c783944) (LP: #1262788):
    - [f45cd4f] Open stable/havana
    - [c783944] [OSSA 2013-033] Metadata queries from Neutron to Nova are not
      restricted by tenant (CVE-2013-6419) LP: 1235450
    - [cec8127] Creates multiple worker processes for API server
    - [3383241] [messaging] QPID broadcast RPC requests to all servers for a
      given topic LP: 1257293
    - [cd3e714] openstack.common.local module is out of date LP: 1254046
    - [11102ad] Allow using ipv6 address with omiting zero LP: 1240790
    - [65986c9] NVP connection fails because port is a string LP: 1255519
    - [2d2646a] Neither vpnaas.filters nor debug.filters are referenced in
      setup.cfg LP: 1257523
    - [c93d699] OVS agent doesn't reclaim local VLAN LP: 1252284
    - [7d74411] IP lib fails when int name has '@' character and VLAN
      interfaces LP: 1245799
    - [496e6f0] Lower severity of log trace for DB integrity error
    - [74b0a9b] internal neutron server error on tempest VolumesActionsTest
      LP: 1239637
    - [39c392e] neutron unittest require minimum 4gb memory LP: 1234857
    - [03216e3] L3 agent can't handle updates that change floating ip id
      LP: 1209011
    - [3be1326] nvp_cluster_uuid is no longer used in nvp.ini LP: 1251086
    - [37f5678] binding_failed because of l2 agent assumed down LP: 1244255
    - [27ce7b5] traceback is suppressed when deploy.loadapp fails   LP: 1210236
    - [ce458e0] Linux IP wrapper cannot handle VLAN interfaces LP: 1240125
    - [b37987e] linuxbridge agent doesn't remove vxlan interface if no
      interface mappings LP: 1240742
    - [68b8af0] L2 pop mech driver sends notif. even no related port changes
      LP: 1241874
    - [f48a731] L2 pop sends updates for unrelated networks LP: 1240744
    - [e331eb3] fix nvp version validation for distributed router creation
      LP: 1243862
    - [4b3162e] error while creating l2 gateway services in nvp LP: 1244259
    - [4e94cb3] Nicira plugin: 500 when removing a router port desynchronized
      from the backend LP: 1240720


=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_install:
	dh_install --fail-missing -X/usr/etc -X/usr/bin/quantum

override_dh_auto_clean:
	dh_clean

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# Unpatch quantum configuration to fixup tests which conflict
	# with a core_plugin being set.
	patch -p1 -R < debian/patches/fix-quantum-configuration.patch
	# Set a reasonable level of concurrency
	./run_tests.sh -N -P --concurrency=4 || true
	# Patch configuration file after testing
	patch -p1 < debian/patches/fix-quantum-configuration.patch
endif

=== debian/tests/control ===
Tests: neutron-daemons python-neutron cisco-plugin nec-plugin bigswitch-plugin
 hyperv-plugin brocade-plugin plumgrid-plugin nicira-plugin openvswitch-plugin
 linuxbridge-plugin ryu-plugin midonet-plugin
Depends: neutron-server, neutron-l3-agent, neutron-dhcp-agent, neutron-metadata-agent,
 neutron-lbaas-agent, python-neutron, rabbitmq-server
Restrictions: needs-root
